{ ... }:
{
  imports = [
    ../../options/copySysConf.nix
  ];
  config.machine = {
    allowUnfree = true;
    hostName = "Sheol";
    networkD = {
      enable = true;
      waitOnline = false;
    };
    users = [
      {
        name = "derped";
        id = 1337;
        isAdmin = true;
      }
    ];
    conffiles = [
      "etcfiles"
      "etcvars"
      "zsh"
    ];
    pkgs = [
      "base"
    ];
    services = [
      "desktop"
      "desktop::sway"
      "impermanence"
      "mullvad"
      "openssh"
      "pipewire"
      "tmux"
      "uxplay"
    ];
    firewall = {
      enable = true;
      allowPing = true;
    };
  };

  config.system.copySysConf = {
    enable = false;
    addToNixPath = false;
  };
}
